Subject: bug#25253: closed (Re: bug#25253: [PATCH] textmodes/dns-mode Add DNS keywords and remove duplications)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jan 2017 18:40:02 +0000

Your bug report

#25253: [PATCH] textmodes/dns-mode Add DNS keywords and remove duplications

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25253: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25253
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25253: [PATCH] textmodes/dns-mode Add DNS keywords and remove duplications
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jan 2017 13:38:57 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.1

This was later sent to emacs-devel (with no mention of the existing bug
report) and applied from there.

http://lists.gnu.org/archive/html/emacs-devel/2017-01/msg00092.html

Subject: [PATCH] textmodes/dns-mode Add DNS keywords and remove duplications
From: Alexnader Kuleshov <[email-masked]>
To: [email-masked]
Date: Fri, 23 Dec 2016 17:03:57 +0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,

I've attached the patch which adds TLSA (RFC 6698) and NSEC3
(RFC 5155) to dns-mode-types.

Additioanlly these RFCs were added to comments and duplication
of NSAP was removed.

Thank you.
>From f241e2f0e424d43ebce14d8d4a7bc29b9fafd029 Mon Sep 17 00:00:00 2001
From: Alexander Kuleshov <[email-masked]>
Date: Fri, 23 Dec 2016 16:53:41 +0600
Subject: [PATCH] Add DNS keywords and remove duplications

* lisp/textmodes/dns-mode.el (dns-mode-types): Add two TLSA and
NSEC" DNS related keywords and remove duplication of "NSAP".
---
 lisp/textmodes/dns-mode.el | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/lisp/textmodes/dns-mode.el b/lisp/textmodes/dns-mode.el
index 521b1f3..7159c71 100644
--- a/lisp/textmodes/dns-mode.el
+++ b/lisp/textmodes/dns-mode.el
@@ -32,6 +32,9 @@
 
 ;; RFC 1034, "DOMAIN NAMES - CONCEPTS AND FACILITIES", P. Mockapetris.
 ;; RFC 1035, "DOMAIN NAMES - IMPLEMENTATION AND SPECIFICATION", P. Mockapetris.
+;; RFC 5155, "DNS Security (DNSSEC) Hashed Authenticated Denial of Existence"
+;; RFC 6698, "The DNS-Based Authentication of Named Entities (DANE)
+;;             Transport Layer Security (TLS) Protocol: TLSA"
 
 ;;; Release history:
 
@@ -50,14 +53,13 @@ dns-mode-classes
 
 (defconst dns-mode-types '("A" "NS" "MD" "MF" "CNAME" "SOA" "MB" "MG" "MR"
 			   "NULL" "WKS" "PTR" "HINFO" "MINFO" "MX" "TXT"
-			   "RP" "AFSDB" "X25" "ISDN" "RT" "NSAP" "NSAP"
+			   "RP" "AFSDB" "X25" "ISDN" "RT" "NSAP"
 			   "SIG" "KEY" "PX" "GPOS" "AAAA" "LOC" "NXT"
 			   "EID" "NIMLOC" "SRV" "ATMA" "NAPTR" "KX" "CERT"
 			   "A6" "DNAME" "SINK" "OPT" "APL" "DS" "SSHFP"
 			   "RRSIG" "NSEC" "DNSKEY" "UINFO" "UID" "GID"
 			   "UNSPEC" "TKEY" "TSIG" "IXFR" "AXFR" "MAILB"
-			   "MAILA")
+			   "MAILA" "TLSA" "NSEC3")
   "List of strings with known DNS types.")
 
 ;; Font lock.
-- 
2.8.0.rc3.1353.gea9bdc0